Remove classic edit toolbar from core
Open, NormalPublic

Tokens
"Love" token, awarded by MichaelSchoenitzer."Heartbreak" token, awarded by Liuxinyu970226."Heartbreak" token, awarded by NickK."Heartbreak" token, awarded by Kghbln."Heartbreak" token, awarded by Nemo_bis."Dislike" token, awarded by Thibaut120094."Y So Serious" token, awarded by matej_suchanek."Piece of Eight" token, awarded by RandomDSdevel."Like" token, awarded by waldyrious."Like" token, awarded by Ricordisamoa."Like" token, awarded by He7d3r.
Assigned To
Authored By
Krinkle, May 6 2011

Description

Move the 'classic' editor (<div id=toolbar> on EditPage and mediawiki.toolbar JS) out of MediaWiki core (potentially into an extension), leaving just a plain <textarea> in MediaWiki itself.

Details

Reference
bz28856
There are a very large number of changes, so older changes are hidden. Show Older Changes
Ankry added a subscriber: Ankry.Jun 7 2017, 4:50 PM

Actual usage is very low. As these are private settings I can't list individuals, but here are some quick numbers on accounts with more than 100 edits ever (trying to exclude newbies who've stumbled into it) which have this setting:

WikiTotalActive last 6moActive last 1mo
enwiki865942
dewiki252217
frwiki10106
eswiki777
commonswiki963

Those who responded to the question mostly said they'd switched it off because they weren't using it. These numbers are exceptionally low, and way below the threshold for switching preferences off that we've normally picked (e.g. when we killed the small skins off in 2012, each was being used by a few hundred accounts).

I think, in smaller project the percentage of classic toolbar users may be significantly higher. The enhanced toolbar does not seem to cooperate well with ProofreadPage extension (which is critical for Wikisources) (eg. T167317 case).

My recent tests show also that it makes browsers much more memory consuming. This might discriminate users with older computers if there is no choice.

Whatamidoing-WMF added a comment.EditedJun 7 2017, 6:14 PM

@Arkanosis, I talked to the English Wikipedia about this a few months ago. I received many comments that sounded like this:

  • "Yes, this change will affect me. My editing window is exactly like this picture, except that there are no buttons at all in the toolbar." (Accurate conclusion: This change will not affect this editor. This person is using the 2003 wikitext editor.)
  • "This change will affect me. My editing window is exactly like this picture, except that the buttons are light blue." (=Accurate conclusion: This change will not affect this editor. This person is using the 2010 wikitext editor.)

In other words, people did not know which editing tools they were actually using, and many of them incorrectly assumed the worst.

@Jdforrester-WMF : Could this change be made at https://en.wikipedia.beta.wmflabs.org/wiki/Main_Page (or some other testwiki) soon? If so, then Arkanosis could import the gadget from frwiki and see whether it works.

@Arkanosis We'll have to test it to be sure, as @Whatamidoing-WMF suggests (or I'd have to spend a lot more time reading the code), but I think the fr.wp gadgets will not be affected by the removal. From a cursory review it seems like they reimplement all features of the old edit toolbar from scratch. Even the little button images are loaded from their copies on Commons instead of using the built-in ones.

@Whatamidoing-WMF : I'm pretty confident most of them if not all are actually using the local gadget and neither the original toolbar nor another more recent one. There's some “tradition” of customizing this legacy toolbar on the French Wikipedia through one's common.js. Additionaly, no one changed their mind when shown the very useful page at https://www.mediawiki.org/wiki/Editor (though I'd admit it doesn't mean much).
What I don't know is how it'll break when the original toolbar it's more or less based on will disappear.

@Whatamidoing-WMF @matmarex @Jdforrester-WMF : yes, that would be great if I could test it before the actual changes on the French Wikipedia. Thanks for the review! :-)

Johan added a comment.Jun 7 2017, 6:58 PM

Finally, what the purpose of this exercice ? To force people who are years long contributors to WP to stop their activities ?

So this is something that's not always well explained, which is a problem, but generally speaking, keeping all old versions of something is a real problem when you're working with software. Things need to be maintained, to make sure they don't break, or cause security issues. You need to take them into account when you do new development. It is, as @TheDJ mentioned earlier, a burden for everyone who works with the code. Things are not removed just because.

The "new" toolbar is hopeless for me. I use a laptop with a smallish screen for all Wikimedia activity. The vast majority of that activity is on enWS. The narrow height of the "classic" toolbar is ideal in the ProofreadPage Extension. I have tried to use the "new" toolbar and it increased the amount of scrolling I needed to do, which caused a marked decrease in productivity. It simply uses far too much screen real estate for me to function adequately as a normal user.

If the devs are determined to remove the "classic" toolbar (and I understand all the issues around maintenance mentioned above), then I must ask for a delay until a suitable alternative (gadget??) can be developed and put in place for the Wikisources at least.

btw, I am startled to learn that I am one of 42 users of the toolbar on enWP and 1 of 3 on Commons in the past month and wonder how this was counted.

Salix added a subscriber: Salix.EditedJun 8 2017, 12:42 PM

Hi,
No surprise at the low number of users, as one have to be at the same time :
An old hand + Wikipedia adict + aware of the possibility + in need of it + able to understand Dr Brain's gadget use + able to keep it working ! = very few contributors remaining in 2017.

I used to have both toolbars for a while, but my home made buttons from Commons.js happened to disapear a few time ago, unless I disable the new one. So did I, because when I work to improve 2000 very similar botanical species stubs, it would be boring and waisting time to spare my customised buttons (other automatical task is far of from my habilities !).

Wy to deprive any contributor the pleasure to create custumised buttons if it helps to keep him at task to improve Wikimedia websites ?
Can I make a crasy wish ? Instead of arguing endless, there is one solution : simply add one new button on the new toolbar : "Create a new button" !

One clic on it > add one icone + chose title + wiki code before the cursor + wiki code after the cursor (or none) > validate. It is done ! Enjoy ! Besides, do not forget to add a possibility to remove or disable any button as well.

This would be THE great improvement for everybody ! Especially now that we use more and more small screens, not so easy to write with.

Finally, what the purpose of this exercice ? To force people who are years long contributors to WP to stop their activities ?

So this is something that's not always well explained, which is a problem, but generally speaking, keeping all old versions of something is a real problem when you're working with software. Things need to be maintained, to make sure they don't break, or cause security issues. You need to take them into account when you do new development. It is, as @TheDJ mentioned earlier, a burden for everyone who works with the code. Things are not removed just because.

@Johan. No one has consulted with the Wikisources, it is only known now as its death knell was announced. How the editors/users were to know of a retirement discussion undertaken by developers is beyond me. Now no one seems to wish to join in the conversation that in the ProofreadPage space that the legacy toolbar has identified benefits. It just seems to be shrugged off. The statistics on usage focus on the WPs, and talks about blind numbers of one set of metrics.

Some of us don't want to be told that we take it in the neck for a supposed greater good where that "good" is a detriment to our editing being made harder with a toolbar that numbers consider inferior to our needs, and one that was developed primarily for WPs needs in mind.

I don't think our concern is about its removal from core, it is its removal and what seems to be an apparent "toughen up princess" response when its continued value is expressed.

Johan added a comment.EditedJun 8 2017, 3:28 PM

@Billinghurst I'm not particularly involved in this process, so I don't have any opinion on what anyone should do. I was merely trying to give a general answer to the question "what the purpose of this exercise?".

@Salix, did you check the mediawiki.org page about customizing the 2010 editor?

If I understood correctly you can add any button you want through your commons.js page with the following code:

$( '#wpTextbox1' ).wikiEditor( 'addToToolbar', {
	'section': 'name-of-the-section',
	'group': 'name-of-the-group',
	'tools': {
		'name-of-the-tool': {
			label: 'Title',
			type: 'button',
			icon: '//upload.wikimedia.org/path/to/the/icon/file.svg.png',
			action: {
				type: 'encapsulate',
				options: {
					pre: "wiki code before the cursor",
					post: "wiki code after the cursor"
				}
			}
		}
	}
} );
Salix added a comment.EditedJun 8 2017, 3:41 PM

@ Agabi10. I am afraid it is too complicated for me (I even cannot find how to notify you with this interface...), or it would take a lot of thoughts... A translation would be appreciated as a start. In addition, I am obviousely not the only one interested in customizing tools. How can average contributors guess this possibility exists if a 10 years daily one like me ignore it ?

This is an exemple of what I am able to write for the present (and I am not far from 100000 edits without robot helper, only counting Fr Wp) :

mw.toolbar.addButton('//upload.wikimedia.org/wikipedia/commons/b/bd/Wikilinker.png',
    'Taxon',
    "''[[",
    "]]''",
    '',
    'mw-editbutton-taxon');

@Beeswaxcandle, this is not happening for a couple of weeks yet, so your request for a delay has been "pre-granted". :-) I understand that this toolbar could be converted to a local gadget by anyone who understands Javascript in a few hours (and that need be done only once, and then it could be shared across all the wikis).

Also, your account will not be switched to any of the newer editors. You will get no toolbar at all (unless you change your preferences).

@Billinghurst, the primary maintainer of ProofreadPage has been subscribed to this task for more than one year. If this task were fatal to that tool, or even inconvenient, then I am certain that @Tpt would have mentioned it before now. You can read his recent comments about this change at the French Wikisource. He does not seem either surprised or worried about it.

I will see if I can find out how many of the <300 active editors at the English Wikisource are using the 2006 toolbar; if I get the numbers, I'll post them in this task.

Actual usage is very low. As these are private settings I can't list individuals, but here are some quick numbers on accounts with more than 100 edits ever (trying to exclude newbies who've stumbled into it) which have this setting:

[Snip]

@Jdforrester-WMF Have you looked at this usage for the Wikisources? I would think that numbers of the Wikisources utilise these toolbars (I know that I do). For the work that we do it is a cleaner and easier toolbar to use, *and* it is far easier to learn to code for the old toolbar than the new.

Sure:

WikiTotalActive last 6moActive last 1mo
enwikisource100
ruwikisource110
frwikisource000
dewikisource000
eswikisource000
ptwikisource000

@Jdforrester-WMF For future reference, can you share how you are generating these results?

Am I the only one to think these numbers don't add up? @Jdforrester-WMF: do you think it is possible for local scripts to break these metrics?

Agabi10 added a subscriber: Krinkle.Jun 8 2017, 6:02 PM

@Salix, looking a bit through meta to look for something that could be more helpful to you I found a script by @Krinkle that simplifies the process of adding a new button to the new toolbar. Is this alternative useful to you or it is still too complex?

In this case the code required would be the one of the example in that page. The block of code after //happy face and after //monkey are two different buttons and you can add as many as you want.

And finally, to mention someone in phabricator you only have to write @ followed by the username without spaces, like in @Agabi10.

TheDJ added a comment.Jun 8 2017, 7:13 PM

How can average contributors guess this possibility exists if a 10 years daily one like me ignore it ?

Well, most people ignore things that don't really interest them.. It's not like there's a lack of examples or anything. There's dozens of gadgets that have been doing just this, that are readily readable to anyone who takes an interest, and it's documented exactly where you'd expect it to be documented (on mediawiki).

I partially do agree with your statement however. Developing scripts has become exponentially more complicated as both web technology and MediaWiki has moved forward. We are definitely failing in this area towards 'normal' users. But I don't really have a solution to that. Well I was thinking about something like a specialized tool to help you manipulate parts of your UI, and than writing that out as a 'specification' or something that get's picked up bla bla bla. But that's not easy, and is gonna cost quite a bit of resources to develop and maintain..

@Jdforrester-WMF Have you looked at this usage for the Wikisources? I would think that numbers of the Wikisources utilise these toolbars (I know that I do). For the work that we do it is a cleaner and easier toolbar to use, *and* it is far easier to learn to code for the old toolbar than the new.

Sure:

WikiTotalActive last 6moActive last 1mo
enwikisource100
ruwikisource110
frwikisource000
dewikisource000
eswikisource000
ptwikisource000

Well, this is patently wrong data, given that on enWS there are at least two very active users in myself and @Billinghurst who are using the "classic" toolbar. This being so implies that the previous table giving WP users is probably also understated. Is it possible to have real figures of actual users?

@Beeswaxcandle, this is not happening for a couple of weeks yet, so your request for a delay has been "pre-granted". :-) I understand that this toolbar could be converted to a local gadget by anyone who understands Javascript in a few hours (and that need be done only once, and then it could be shared across all the wikis).

Also, your account will not be switched to any of the newer editors. You will get no toolbar at all (unless you change your preferences).

Given that I don't know anyone with Javascript as a second language, the only possibility for me would be to ask for such on Phabricator. As far as I can see getting anything done around here along those lines will take considerably more than a couple of weeks.

I think there is a possible confusion between the ones (like me) who emulate the old 2006 toolbar and the others who actually use the 2006 editor.
How can we check who is using what? Will the emulation still work?

Given that I don't know anyone with Javascript as a second language

https://en.wikisource.org/w/index.php?title=User:Beeswaxcandle/common.js&action=history shows that you've edited that page more than 300 times, and not just to copy and paste someone else's work. Everything on that page is (supposed to be) Javascript. Are you sure you don't know any Javascript?

Regardless of your belief in your proficiency, these lines:

// == SIDEBAR TOOLS ==
/**
 * WikiEditor specific
 *
 * Custom buttons ONLY when Prefs set to - Enable enhanced editing toolbar - is selected,
 * Enable wizards for... - must not be selected. Show [old]edit toolbar - should be off.
 * based upon - https://github.com/he7d3r/mw-gadget-ExtraEditButtons
 */

make me suspect that you are already not using the editor in question.

The editor in question can be seen only when "Show edit toolbar" is enabled but "Enable enhanced editing toolbar" is disabled in Special:Preferences – which is the opposite of what this line requires. Could you go check your preferences (the Editing tab) and tell me which items you have selected/unselected?

I think there is a possible confusion between the ones (like me) who emulate the old 2006 toolbar and the others who actually use the 2006 editor.
How can we check who is using what?

Most likely, the rare ones who use the 2006 editor directly are the ones who have disabled the MonobookToolbar gadget.

Will the emulation still work?

That's the interesting question, indeed (on the French Wikipedia, at least).

Actual usage is very low. As these are private settings I can't list individuals, but here are some quick numbers on accounts with more than 100 edits ever (trying to exclude newbies who've stumbled into it) which have this setting:

[Snip]

@Jdforrester-WMF Have you looked at this usage for the Wikisources? I would think that numbers of the Wikisources utilise these toolbars (I know that I do). For the work that we do it is a cleaner and easier toolbar to use, *and* it is far easier to learn to code for the old toolbar than the new.

Sure:

WikiTotalActive last 6moActive last 1mo
enwikisource100
ruwikisource110
frwikisource000
dewikisource000
eswikisource000
ptwikisource000

@Jdforrester-WMF That seems broken, or we are talking something different. If nothing else BWC + billinghurst = 2 for enWS

Kghbln added a comment.Jun 9 2017, 3:59 PM

I think we should all calm down here. This is about removing this from MediaWiki core not from Wikipedia. I understand - since I believe to have read it somewhere here - that at the very same time we will get this functionality via a Gadget or specialized extension. So you just have to switch to it. I guess this is an acceptable burden for people still using it.

I think that I had a misconception here. This is indeed about removing it from MediaWiki without providing a replacement. So nobody here seems to be responsible or to care about the community to make me aware of this misconception. So we are indeed talking about bad communications, no?

Personally I have extended the toolbar with extra buttons on some wiki. So my question is if it will still be able to do so in future versions including replicating what we have now with the old toolbar. I currently understand that MediaWiki will not come with any editor in core out of the box in future.

Kghbln awarded a token.Jun 9 2017, 3:59 PM
Billinghurst added a comment.EditedJun 9 2017, 3:59 PM

@Whatamidoing-WMF

and let me say that I have a few edits in the past 1, 3, 6, 12, 00s of months at enWS (umm like 250k total, and 9k since beginning of the year) there is certainly something skewiff here

and my toolbar

Nirmos removed a subscriber: Nirmos.Jun 9 2017, 4:31 PM

Given that I don't know anyone with Javascript as a second language

https://en.wikisource.org/w/index.php?title=User:Beeswaxcandle/common.js&action=history shows that you've edited that page more than 300 times, and not just to copy and paste someone else's work. Everything on that page is (supposed to be) Javascript. Are you sure you don't know any Javascript?

Regardless of your belief in your proficiency, these lines:

// == SIDEBAR TOOLS ==
/**
 * WikiEditor specific
 *
 * Custom buttons ONLY when Prefs set to - Enable enhanced editing toolbar - is selected,
 * Enable wizards for... - must not be selected. Show [old]edit toolbar - should be off.
 * based upon - https://github.com/he7d3r/mw-gadget-ExtraEditButtons
 */

make me suspect that you are already not using the editor in question.

The editor in question can be seen only when "Show edit toolbar" is enabled but "Enable enhanced editing toolbar" is disabled in Special:Preferences – which is the opposite of what this line requires. Could you go check your preferences (the Editing tab) and tell me which items you have selected/unselected?

a) Yes, I'm sure I'm not proficient at Javascript. Every edit I've made to that page in the last three years has been to the content of running headers to use when proofreading. With respect to a few edits prior to that, I simply copied the pattern that I saw from the full-text I had copied from other users.

b) Yes, I'm sure I'm using the "classic" toolbar. The comment chunk you quote above was from a brief moment in time when I tried to use the so-called "enhanced" toolbar. It was a failed experiment because it takes up too much space on my screen space and was clunky to use. Far too many times needing to use multiple clicks to locate and activate a function. After a few days, I went straight back to the older toolbar and have never changed it since.

My Commons toolbar:


My enWP toolbar:

My enWS toolbar (in the Page: namespace):

Ankry added a comment.Jun 9 2017, 8:47 PM

Actually, I also have this toolbar enabled in enwikisource. And while I am not very active there, I was definitely active in last 6 months. And I have not changed my preferences there for months. @Jdforrester-WMF so something is definitely wrong in your stats.

I had the sudden thought to check what my toolbar on wikispecies and enwikiversity is. It's the "classic". I haven't edited on either since before the "enhanced" toolbar was made available. This suggests to me that every editor who was editing prior to 2013(?) on a project and who didn't opt in to the enhanced toolbar is still using the "classic"—many of them without realising that there is an alternative.

I think that I had a misconception here. This is indeed about removing it from MediaWiki without providing a replacement.

There may be a replacement; that depends upon whether anyone volunteers to write it. There is no technical impediment to copying this into a local gadget or making a user script that could be run by interested individuals on all the wikis.

In fact, this may already have been done, because we have a lot more people at two wikis saying "I'm using this" than the preferences database knows about. Speaking of which:

@Beeswaxcandle, please look at the Editing tab of Special:Preferences at the English Wikisource. The actual prefs settings matters more than your editing toolbar (because the appearance could have already been replaced by a local gadget or user script). Please tell me what the settings are for the section of prefs that's shown in the first screenshot at T30856#3335615 .

In other news: James F. and I have just agreed to postpone this for about a month, because there are too many other/more important things changing on the wikis right now, especially T162849 (which is going to break some editing scripts; see https://www.mediawiki.org/wiki/Contributors/Projects/Accessible_editing_buttons for how to test and fix your scripts).

@Arkanosis: I've arranged things with James so that you can test scripts at the Beta Cluster for approximately six days before the change. I realize that this isn't perfect, but it's the best we can realistically do. The plan is this:

  • Ops will run the normal deployment train (on a Tuesday in late July).
  • James will promptly make the change at the Beta Cluster.
  • You can start testing there.
  • The following Tuesday, Ops will start propagating the change to the wikis on the normal deployment train.

I hope that will work for you (and anyone else who wants to test scripts there).

I think that I had a misconception here. This is indeed about removing it from MediaWiki without providing a replacement.

There may be a replacement; that depends upon whether anyone volunteers to write it. There is no technical impediment to copying this into a local gadget or making a user script that could be run by interested individuals on all the wikis.

In fact, this may already have been done, because we have a lot more people at two wikis saying "I'm using this" than the preferences database knows about. Speaking of which:

@Beeswaxcandle, please look at the Editing tab of Special:Preferences at the English Wikisource. The actual prefs settings matters more than your editing toolbar (because the appearance could have already been replaced by a local gadget or user script). Please tell me what the settings are for the section of prefs that's shown in the first screenshot at T30856#3335615 .

On enWS, enWP, enWikt, Species and Commons, I have "Show edit toolbar" checked and "enable enhanced editing toolbar" is unchecked. There is definitely no gadget that emulates the plain, ordinary, perfectly satisfactory toolbar on enWS. I would know about it if there were.

@Whatamidoing-WMF @Jdforrester-WMF : thank you. I don't understand why we don't wait for everything to be ready instead, but that should do it. That would be awesome if you could drop me an email once the beta cluster is ready, so that I don't miss the opportunity.

Thanks again.

@ everyone : I believe there are a few differences between the French Wikipedia gadget and the original toolbar (a few additional buttons, maybe), but it should be very easy to adapt for other wikis.

@Whatamidoing-WMF @Jdforrester-WMF : thank you. I don't understand why we don't wait for everything to be ready instead, but that should do it. That would be awesome if you could drop me an email once the beta cluster is ready, so that I don't miss the opportunity.

Thanks again.

@ everyone : I believe there are a few differences between the French Wikipedia gadget and the original toolbar (a few additional buttons, maybe), but it should be very easy to adapt for other wikis.

@Arkanosis
Personally I am interested in the framework and the ability to easily turn off buttons, and add my own custom buttons through my common.js file, and hopefully without too much code change, or an easy path to change. It is the compact nature and the ease of addition and removal that make this so convenient. Users at enWS can either gadgetise or call it directly. I will work with fellow dinosaurs there.

Billinghurst added a comment.EditedJun 13 2017, 11:02 AM

I think that I had a misconception here. This is indeed about removing it from MediaWiki without providing a replacement.

There may be a replacement; that depends upon whether anyone volunteers to write it. There is no technical impediment to copying this into a local gadget or making a user script that could be run by interested individuals on all the wikis.

In fact, this may already have been done, because we have a lot more people at two wikis saying "I'm using this" than the preferences database knows about. Speaking of which:

@Beeswaxcandle, please look at the Editing tab of Special:Preferences at the English Wikisource. The actual prefs settings matters more than your editing toolbar (because the appearance could have already been replaced by a local gadget or user script). Please tell me what the settings are for the section of prefs that's shown in the first screenshot at T30856#3335615 .

@Whatamidoing-WMF Can you trust us that we have never gadgetised this, nor adapted it from the normal in my time of administration, so back to 2009. We tried the newer toolbar and chucked it in pretty quickly and just went back to ye olde favourite. I have included my setting above prior to BWC and that clearly demonstrates that I am using standard toolbar. The data call used by James is not correctly collecting data. WMF seems to be deaf to that matter and just continuing on blithely with what seems a casual disregard.

matmarex added a comment.EditedJun 16 2017, 8:48 PM

The query below gives the result as 21 "active" users using the old toolbar on English Wikisource. This is with a very loose definition of active – at least 1 edit in last 30 days; we have a better metric for this somewhere but I don't recall where. By the same metric, there are 557 active users in total. For English Wikipedia, the numbers are 1576 "active" users out of 218154 total. (Again, this is a very loose definition of "active" and the number of users who would actually care or notice is probably lower.)

While this isn't the 0.03% that was suggested earlier, it's definitely a small fraction of users, around 1%.

Note that you can't run this on Quarry or Labs etc., since data in the user_properties table is not public. If you have a NDA signed with the Wikimedia Foundation, you can request access to the Analytics replicas of the databases, which is where I ran the query. (The query is much more complicated than it needs to be, but this way lets me check the intermediate results of the nested queries to be sure I got this right. Beeswaxcandle and Billinghurst are both included in the count. :) )

use enwikisource;
select count(*) from (
select * from (
select
  t.up_user,
  cast(user_properties_showtoolbar.up_value as char) as showtoolbar,
  cast(user_properties_usebetatoolbar.up_value as char) as usebetatoolbar,
  count(rc_user) as recent_edits
from (
select distinct up_user from user_properties
where up_property in ('showtoolbar', 'usebetatoolbar')
) t
left join user_properties as user_properties_showtoolbar
  on t.up_user=user_properties_showtoolbar.up_user and user_properties_showtoolbar.up_property = 'showtoolbar'
left join user_properties as user_properties_usebetatoolbar
  on t.up_user=user_properties_usebetatoolbar.up_user and user_properties_usebetatoolbar.up_property = 'usebetatoolbar'
left join recentchanges on rc_user=t.up_user
left join user on user_id=t.up_user
group by up_user
) u
where usebetatoolbar is not null
and showtoolbar is null
order by recent_edits desc
) v
where recent_edits > 0

The query to get the number of active users, by the same metric:

use enwikisource;
select count(distinct rc_user) from recentchanges;

Thank you, Matma Rex. The original search was limited to people who had made more than 100 edits locally, which doubtless is a smaller number than the people have made one edit this month, but this sounds more plausible than just one at enwikisource, when we know that we have two highly active contributors that are using it there. Is there any chance of getting similar numbers for the French Wikipedia? I don't know how long the query takes, etc.

259 users on frwiki (the query took about 20 minutes), out of 23284 "active" (the query took about 5 minutes).

(Note that on frwiki, those users will be able to get the old toolbar back by simply enabling the confusingly named "MonobookToolbarStandard" gadget.)

259 users on frwiki (the query took about 20 minutes), out of 23284 "active" (the query took about 5 minutes).

@matmarex Thanks a lot!

@Arkanosis : James and I have just agreed to postpone this for another month, until T162849 is completed. The plan is the same as discussed above at T30856#3341485, except at the end of August instead of at the end of July. If you are not available in late August, then we can wait for you.

@Arkanosis : James and I have just agreed to postpone this for another month, until T162849 is completed. The plan is the same as discussed above at T30856#3341485, except at the end of August instead of at the end of July. If you are not available in late August, then we can wait for you.

End of August should be fine for me. Thanks!

NickK added a subscriber: NickK.Jun 29 2017, 11:11 PM

I am rather disappointed to see this happen.

Personally my main reason for using this old toolbar is slower insertion of page links and files in the new toolbar. It is much faster for me to click on a button adding [[]] or [[File:]] directly than to fill in a form in a new toolbar. I suppose one of the reasons why this is really faster is that I am most active in Ukrainian Wikipedia, and Ukrainian keyboard layout does not have square brackets on the keyboard. For me the three options are:

  • old toolbar: click on a button, type page name (one click)
  • new toolbar: click on a button, type page name, click on another button in another part of the screen (two clicks and one mouse move)
  • no toolbar: switch to English, type [[]], switch back to Ukrainian and type a page name (eight key strokes)

I wouldn't mind switching to a new toolbar if there was a way to have exactly the same set of buttons without dialog boxes: I am not that attached to the blue colour, but I do not want to see that dialog box each time I need to add a link. Is there a solution for that?

[...] For me the three options are:

  • old toolbar: click on a button, type page name (one click)
  • new toolbar: click on a button, type page name, click on another button in another part of the screen (two clicks and one mouse move) I wouldn't mind switching to a new toolbar if there was a way to have exactly the same set of buttons without dialog boxes: I am not that attached to the blue colour, but I do not want to see that dialog box each time I need to add a link. Is there a solution for that?

With the new toolbar, in the dialog box, once you've typed the link text you can just tap the [return/enter] key on your keyboard to place the [[link text]]. You do not need to use the mouse to click on the "Insert link" ("Вставити посилання") button. Hopefully that works for you, and saves you a mouse-move and click. :-)

Whatamidoing-WMF added a comment.EditedJun 30 2017, 5:50 AM

Personally my main reason for using this old toolbar is slower insertion of page links and files in the new toolbar. It is much faster for me to click on a button adding [[]] or [[File:]] directly than to fill in a form in a new toolbar.

Thank you for this message, and especially for the information about how your keyboard works.

Would you try clicking *under* the edit window for this, and let us know if that works for you? The Ukrainian Wikipedia has a large list of "buttons" in between the edit window and the edit summary box, and it looks like the buttons for adding [[]] and [[File:]] (and a lot of other things) are in that list.

Liuxinyu970226 added a comment.EditedJun 30 2017, 8:52 AM

Personally my main reason for using this old toolbar is slower insertion of page links and files in the new toolbar. It is much faster for me to click on a button adding [[]] or [[File:]] directly than to fill in a form in a new toolbar.

Thank you for this message, and especially for the information about how your keyboard works.

Would you try clicking *under* the edit window for this, and let us know if that works for you? The Ukrainian Wikipedia has a large list of "buttons" in between the edit window and the edit summary box, and it looks like the buttons for adding [[]] and [[File:]] (and a lot of other things) are in that list.

But this really isn't available on MobileFrontend:


(from my Huawei M3, and btw where are buttons that under edit interface?)


Also according to https://zh.wikipedia.org/wiki/Wikipedia:互助客栈/技术/存档/2017年6月#Tech_News:_2017-23 (from @Dabao qian), it looks like that only the pre-2006 toolboxes are available on MF

Liuxinyu970226 rescinded a token.
Liuxinyu970226 rescinded a token.
Liuxinyu970226 awarded a token.
TheDJ added a comment.Jun 30 2017, 9:14 AM

@Liuxinyu970226 This ticket isn't about MobileFrontend. Let's not start bringing that into this.

NickK added a comment.Jun 30 2017, 4:07 PM

With the new toolbar, in the dialog box, once you've typed the link text you can just tap the [return/enter] key on your keyboard to place the [[link text]]. You do not need to use the mouse to click on the "Insert link" ("Вставити посилання") button. Hopefully that works for you, and saves you a mouse-move and click. :-)

Would you try clicking *under* the edit window for this, and let us know if that works for you? The Ukrainian Wikipedia has a large list of "buttons" in between the edit window and the edit summary box, and it looks like the buttons for adding [[]] and [[File:]] (and a lot of other things) are in that list.

That does not sound promising. You state in the statement yourself that editors affected are high-volume editors (source: https://www.mediawiki.org/wiki/Contributors/Projects/Removal_of_the_2006_wikitext_editor ), and you basically recognise that you offer a less efficient solution.

Yes, in theory it is possible to click Enter each time I want to insert a link, and yes, I can rely on a good toolbar in Ukrainian Wikipedia, although I cannot do it in Ukrainian Wikivoyage where this toolbar is not available (yes, I use this toolbar in all wikis).

Being one of those high-volume editors is tricky: I do understand it is way simpler for developers not to maintain this toolbar, but I would really appreciate having an alternative solution that would allow me to add [[]] in one click in all wikis

@NickK, if a volunteer turns it into a script, then you could use [[User:NickK/global.js]] to run it at all wikis.

NickK added a comment.Jul 6 2017, 10:10 PM

@NickK, if a volunteer turns it into a script, then you could use [[User:NickK/global.js]] to run it at all wikis.

Then please do not remove it until this is done. Doing it in the opposite order (it was removed, but a volunteer can do something in order to restore this functionality) is, in my view, not a good idea.

@Arkanosis and others: We are tentatively re-scheduling this for the very end of August. That means:

  • Removed from the Beta Cluster (so you can start testing replacement scripts) on Tuesday, 22 August
  • Removed from the test wikis the following Tuesday (late)
  • Removed from the non-Wikipedias on Wednesday, 30 August
  • Removed from the Wikipedias on Thursday, 31 August

As before, if there is another delay, I will post that information here.

Tnegrin added a subscriber: Tnegrin.Aug 6 2017, 3:39 PM

Can we please rerun the usage numbers across all of the wikis using Matmarex's technique above. I don't really feel like we have consistent usage numbers.

Krinkle removed a subscriber: Krinkle.

@Whatamidoing-WMF Hello, any progress here?

gh87 added a subscriber: gh87.Sep 20 2017, 8:35 AM

Just in case, there is an old discussion of this year about the old toolbar, where some editors still use it. Well, I learned about the discussion after starting this one. Why not stall this task and ask the communities whether it should be removed completely from all projects or some of them?

Why not stall this task and ask the communities whether it should be removed completely from all projects or some of them?

Do you volunteer to become the maintainer for the code of the classic edit toolbar for the next years? :)

gh87 added a comment.Sep 20 2017, 11:07 PM

@Malyacko Oh... Um... I'm not a developer or a code programmer. Sorry. :(

Hi @Iniquity: It's stalled on T166601 at the moment. The team doesn't want the removal to break anything else. I hate to leave everyone hanging on tenterhooks, because once it's ready, we need to move promptly, but I doubt that anyone's going to disagree with that decision. 😉 Given the state of their other work, my guess is "not very soon".

@Whatamidoing-WMF thanks for your answer :) I hope you will be able to do it this year.

Legoktm updated the task description. (Show Details)Sep 23 2017, 8:21 PM

The title of this task is "Remove classic edit toolbar from core". Is that still accurate, or should this be "Remove classic edit toolbar from Wikimedia sites" (most of the discussion so far).

I think there is value in turning this into an extension to force us to build a reasonably pluggable toolbar system (WikiEditor vs ClassicToolbar). The code for the classic edit toolbar is pretty deeply entrenched into MediaWiki - it's built into our language support. Should we create a separate task for doing so?

Mostly I'd like to disentangle the discussion of "lets move this out of core" (something I fully support and can make progress on) and "lets stop using it on Wikimedia sites" (I have no opinion).

Hi @Iniquity: It's stalled on T166601 at the moment.

Fixed now. :)

Krinkle rescinded a token.Oct 1 2017, 8:33 PM
Krinkle added a subscriber: Krinkle.
Krinkle removed a subscriber: Krinkle.

Fixed now. :)

Thanks! :)